[Date Index][Thread Index]
[Date Prev][Date Next][Thread Prev][Thread Next]

Re: our wmk/wml broke with perl (5.6.1) upgrade -- help!

On Mon, Oct 22, 2001 at 09:55:12AM +0200, Martin Maechler wrote:
> (as subject says). I have tried quite a few things, all unsuccessfully.
>   configure --prefix=....
>   make
>   make check
>   make install
> all work fine. "make check" reports full success, but still
> a simple "wmk" call in a directory where everything used to work, results in
>    /usr/local/app/wml/bin/wml -n -oLANG_VAR:einteilung.var '-o(ALL-LANG_*)+LANG_EN:einteilung.en.html' '-o(ALL-LANG_*)+LANG_DE:einteilung.de.html' einteilung.wml
>    ePerl:Error: Perl parsing error (interpreter rc=255)
>    ---- Contents of STDERR channel: ---------
>    DynaLoader object version 1.04 does not match $DynaLoader::VERSION 1 at /usr/local/lib/perl5/5.6.1/i686-linux/DynaLoader.pm line 100.

Hmmm, very strange.
You could try
  ./configure --with-openworld
but in any case I would like to fix this problem.
I do not know where to look at, is it possible for you to make a tarball
of the whole wml build tree after `make check' and put it online
somewhere? Or alternatively send it to me by *private* mail?

Denis Barbier
WML Maintainer
Website META Language (WML)                www.engelschall.com/sw/wml/
Official Support Mailing List                   sw-wml@engelschall.com
Automated List Manager                       majordomo@engelschall.com